#
# This is the user-interface definition of a Shiny web application. You can
# run the application by clicking 'Run App' above.
#
# Find out more about building applications with Shiny here:
# 
#    http://shiny.rstudio.com/
#

library(shiny)

# Define UI for application that draws a histogram
shinyUI(fluidPage(
  
  # Application title
  titlePanel("Measuring photos"),
  
  # Sidebar with a slider input for number of bins 
  sidebarLayout(
    sidebarPanel(
      radioButtons("type", "What type of measurements would you like to make?",
                         c("Animal hoofs" = "hoof",
                           "Meat Curvature" = "curve",
                           "Drone images" = "drone",
                           "Other" = "other")),
      
      h3("Upload the photos you would like to measure"),
      fileInput('Photolist', 'Choose Photo Files',
                accept= "image/*", multiple = TRUE),

# The following is for measurement type = hoof.       
      conditionalPanel(
        condition = "input.type == 'hoof'", 
        #textOutput("myFileName"),
        uiOutput("radio"),
        #h4("What type of measurements would you like to make?")
        #textOutput("myFilePath"),
        h4("Enter the meta data for the selected photo"),
        
        uiOutput('resetable_input'),
        tags$hr(),
        
        uiOutput('resetable_input_side'),
         
        #conditionalPanel(condition = "input.view == 'side'",
        #  uiOutput('resetable_input_side')
        #),
        
        #conditionalPanel(condition = "input.view == 'front'",
        #                 uiOutput('resetable_input_front')
        #),
        
        
        actionButton("save", "Save data"),
        downloadButton("downloadData", "Download")
        
        
      )
    ),
    
    # Show a plot of the generated distribution
    mainPanel(
      plotOutput('Plot', 
                 click = "plot_click"),
      dataTableOutput("points"), 
      textOutput("distance"),
      textOutput("ratio"),
      tableOutput("table")
      )
  )
))
